Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.ant/1 1.12.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.project.ant
Class AntArtifactQuery

    java.lang.Object
      org.netbeans.api.project.ant.AntArtifactQuery

    public class AntArtifactQuery

extends Object

Find out how to create a certain build artifact by calling some Ant script.

See Also:
  `AntArtifactQueryImplementation`

Method Summary
`static AntArtifact` | `findArtifactByID(Project p, String id)` Try to find a particular build artifact according to the Ant target producing it.
`static AntArtifact` | `findArtifactFromFile(File file)` Try to find an Ant artifact object corresponding to a given file on disk.
`static AntArtifact[]` | `findArtifactsByType(Project p, String type)` Try to find build artifacts of a certain type in a project.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findArtifactFromFile

    public static AntArtifact findArtifactFromFile(File file)

  Try to find an Ant artifact object corresponding to a given file on disk. The file need not currently exist for the query to succeed. All registered `AntArtifactQueryImplementation` providers are asked.

  Parameters:
    `file` - a file which might be built by some Ant target
  Returns:
    an Ant artifact object describing it, or null if it is not recognized

### findArtifactByID

    public static AntArtifact findArtifactByID(Project p,
                                               String id)

  Try to find a particular build artifact according to the Ant target producing it.

  Parameters:
    `p` - a project (should have `AntArtifactProvider` in lookup in order for this query to work)
    `id` - a desired `ID`
  Returns:
    an artifact produced by that project with the specified target, or null if none such can be found

### findArtifactsByType

    public static AntArtifact[] findArtifactsByType(Project p,
                                                    String type)

  Try to find build artifacts of a certain type in a project.

  Parameters:
    `p` - a project (should have `AntArtifactProvider` in lookup in order for this query to work)
    `type` - a desired `artifact type`
  Returns:
    all artifacts of the specified type produced by that project (may be an empty list)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.project.ant/1 1.12.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.